<?xml version="1.0" encoding="latin1" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>2003</year><year>2009</year>
      <holder>Ericsson AB. All Rights Reserved.</holder>
    </copyright>
    <legalnotice>
      The contents of this file are subject to the Erlang Public License,
      Version 1.1, (the "License"); you may not use this file except in
      compliance with the License. You should have received a copy of the
      Erlang Public License along with this software. If not, it can be
      retrieved online at http://www.erlang.org/.
    
      Software distributed under the License is distributed on an "AS IS"
      basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
      the License for the specific language governing rights and limitations
      under the License.
    
    </legalnotice>

    <title>otp_mib</title>
    <prepared>Ingela Anderton</prepared>
    <docno></docno>
    <date></date>
    <rev></rev>
  </header>
  <module>otp_mib</module>
  <modulesummary>Handles the OTP-MIB</modulesummary>
  <description>
    <p>The SNMP application should be used to start an SNMP agent. Then
      the API functions below can be used to load/unload the OTP-MIB
      into/from the agent. The instrumentation of the OTP-MIB uses
      Mnesia, hence Mnesia must be started prior to loading the OTP-MIB.</p>
  </description>
  <funcs>
    <func>
      <name>load(Agent) -> ok | {error, Reason}</name>
      <fsummary>Load the OTP-MIB</fsummary>
      <type>
        <v>Agent = pid() | atom()</v>
        <v>Reason = term()</v>
      </type>
      <desc>
        <p>Loads the OTP-MIB.</p>
      </desc>
    </func>
    <func>
      <name>unload(Agent) -> ok | {error, Reason}</name>
      <fsummary>Unload the OTP-MIB</fsummary>
      <type>
        <v>Agent = pid() | atom()</v>
        <v>Reason = term()</v>
      </type>
      <desc>
        <p>Unloads the OTP-MIB.</p>
      </desc>
    </func>
  </funcs>

  <section>
    <title>See Also</title>
    <p>snmp(3)</p>
  </section>
</erlref>


